// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 44 1.4.1.3 source/core/collect/iaksrt.h, collection, ioc.v400, 981126 
#ifndef _IAKSRT_
#define _IAKSRT_

#include <iakey.h>
#include <iasrt.h>













#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma pack(push,4)
#pragma enum(4)

template <class Element, class Key>
class IAKeySortedCollection :
  public IAKeyCollection <Element, Key>,
  public IASortedCollection <Element>
{
  typedef  IACollectionImpl Implementation;

public:


           IAKeySortedCollection
                            (INotifier&);


          ~IAKeySortedCollection
                            ();

protected:

           IAKeySortedCollection
                            ();

           IAKeySortedCollection
                            (IAKeySortedCollection
                              <Element, Key> const&);

private:








};

#pragma enum(pop)
#pragma pack(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif





#include <iaksrt.inl>





#endif // _IAKSRT_
