// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 71 1.5.1.4 source/core/collect/iiaes.h, collection, ioc.v400, trackPseudoLevel 
#ifndef _IIAES_
#define _IIAES_

#include <iiacllct.h>













#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma pack(push,4)
#pragma enum(4)

class IC_EXPORTC IAEqualitySequenceImpl : public IACollectionImpl {
public:

          ~IAEqualitySequenceImpl
                            ();

  virtual
  long     Compare          (IAEqualitySequenceImpl const&,
                             ICompFunc, void*) const;

  virtual
  IBool     LocateFirst      (void const*, ICursorImpl&) const = 0;

  virtual
  IBool     LocateLast       (void const*, ICursorImpl&) const = 0;

  virtual
  IBool     LocatePrevious   (void const*, ICursorImpl&) const = 0;

  virtual
  IBool     operator==       (IAEqualitySequenceImpl const&) const = 0;

  IBool     operator!=       (IAEqualitySequenceImpl const&) const;

protected:

           IAEqualitySequenceImpl
                            (Ops&);

private:
















};

#pragma enum(pop)
#pragma pack(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif









#endif // _IIAES_
