// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 91 1.5.1.4 source/core/collect/iiaset.h, collection, ioc.v400, trackPseudoLevel 
#ifndef _IIASET_
#define _IIASET_

#include <iiacllct.h>













#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma pack(push,4)
#pragma enum(4)

class IC_EXPORTC IASetImpl : public IACollectionImpl {
public:

          ~IASetImpl
                            ();

  virtual
  void     Antivalence      (IASetImpl const&);

  virtual
  void     AddAntivalence   (IASetImpl const&,
                             IASetImpl const&); 

  virtual
  void     AddDifference    (IASetImpl const&,
                             IASetImpl const&); 

  virtual
  void     AddIntersection  (IASetImpl const&,
                             IASetImpl const&);

  virtual
  void     AddUnion         (IASetImpl const&,
                             IASetImpl const&);

  virtual
  void     Difference       (IASetImpl const&);

  virtual
  void     Intersection     (IASetImpl const&);

  virtual
  void     Union            (IASetImpl const&);

  virtual
  IBool     operator==       (IASetImpl const&) const = 0;

  IBool     operator!=       (IASetImpl const&) const;

protected:

           IASetImpl
                            (Ops&);

  IBool     LocateNext       (void const*, ICursorImpl&) const;

  INumber  NumberOfOccurrences
                            (void const*) const;

  INumber  RemoveAllOccurrences
                            (void const*);

private:























};

#pragma enum(pop)
#pragma pack(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif









#endif // _IIASET_
