// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 97 1.5.1.4 source/core/collect/iiass.h, collection, ioc.v400, trackPseudoLevel 
#ifndef _IIASS_
#define _IIASS_

#include <iiacllct.h>













#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma pack(push,4)
#pragma enum(4)

class IC_EXPORTC IASortedSetImpl : public IACollectionImpl {
public:

          ~IASortedSetImpl
                            ();

  virtual
  void     Antivalence      (IASortedSetImpl const&);

  virtual
  void     AddAntivalence   (IASortedSetImpl const&,
                             IASortedSetImpl const&); 

  virtual
  void     AddDifference    (IASortedSetImpl const&,
                             IASortedSetImpl const&); 

  virtual
  void     AddIntersection  (IASortedSetImpl const&,
                             IASortedSetImpl const&);

  virtual
  void     AddUnion         (IASortedSetImpl const&,
                             IASortedSetImpl const&);

  virtual
  long     Compare          (IASortedSetImpl const&,
                             ICompFunc, void*) const;

  virtual
  void     Difference       (IASortedSetImpl const&);

  virtual
  void     Intersection     (IASortedSetImpl const&);

  virtual
  void     Union            (IASortedSetImpl const&);

  virtual
  IBool     operator==       (IASortedSetImpl const&) const = 0;

  IBool     operator!=       (IASortedSetImpl const&) const;

protected:

           IASortedSetImpl
                            (Ops&);

  INumber  NumberOfOccurrences
                            (void const*) const;

  INumber  RemoveAllOccurrences
                            (void const*);

private:

























};

#pragma enum(pop)
#pragma pack(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif









#endif // _IIASS_
