// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 18 1.6.1.3 source/core/collect/iisetbst.h, collection, ioc.v400, 981126 
#ifndef _IISETBST_
#define _IISETBST_

#include <iisetks.h>
#include <iiksbst.h>


















#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

typedef ISetOnKeySetImpl
         <IKeySetAsBstTreeImpl> ISetAsBstTreeImpl;

#pragma pack(push,4)
#pragma enum(4)

template <class Element, class ElementOps, class Implementation>
class IC_EXPORTC ISetAsBstTreeOps :
  public IASetOnKeySetOps <IKeySetAsBstTreeImpl> {

  typedef  ISetAsBstTreeOps
            <Element, ElementOps, Implementation> Self;

  typedef  IKeySetAsBstTreeOps
            <Element, Element, IOpsWithKey <Element, ElementOps>,
             IKeySetAsBstTreeImpl> Base;

public:

  typedef  Implementation ImplType;

  typedef  Element ElementType;

  typedef  void KeyType;

           ISetAsBstTreeOps
                           (INumber);

           ISetAsBstTreeOps
                           (INumber, void*);

           ISetAsBstTreeOps
                           (ISetAsBstTreeOps
                             <Element, ElementOps,
                              Implementation> const&);

          ~ISetAsBstTreeOps
                           ();

  IACollectionImpl*
           Clone           () const;

           operator IKeySetAsBstTreeImpl&
                           ();

           operator Implementation*
                           ();


















protected:

private:

  Base     ivBase;

  Implementation
           ivImpl;












};

#pragma enum(pop)
#pragma pack(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif








#include <iisetbst.c>






#endif // _IISETBST_
