// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 83 1.4.1.4 source/core/collect/iitable.h, collection, ioc.v400, trackPseudoLevel 
#ifndef _IITABLE_
#define _IITABLE_

#include <iiglobal.h>
#include <stddef.h>









#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma pack(push,4)
#pragma enum(4)

struct ITableImpl
{
  INumber  ivFirst,
           ivLast;

  INumber  ivAllocatedElements,
           ivNumberOfElements;

  void*    ivNodes;

  size_t   ivNodeSize;

  INumber& AddMod           (INumber&, INumber) const;

  IBool CanAdd           (INumber) const;

  INumber& DecMod           (INumber&) const;

  INumber& IncMod           (INumber&) const;

  void*    NodeAtIndex      (INumber) const;

  INumber  Pos              (INumber) const;

};

#pragma enum(pop)
#pragma pack(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif





#include <iitable.inl>





#endif // _IITABLE_
