#ifndef _IKSSET2_C_
#define _IKSSET2_C_
/*******************************************************************************
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1997       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*                                                                              *
*******************************************************************************/
#include <iksset2.h>


template <class Element, class Key, class Imp>
  ITImpKeySortedSet< Element, Key, Imp>::ITImpKeySortedSet( unsigned long numberOfElements )
     : ITImpKeySet<Element, Key, Imp>( numberOfElements)
     {}

template <class Element, class Key, class Imp>
  ITImpKeySortedSet< Element, Key, Imp>::~ITImpKeySortedSet( )
{}

template <class Element, class Key>
  IKeySortedSet< Element, Key>::IKeySortedSet( unsigned long numberOfElements)
     : ITImpKeySortedSet<Element, Key, Element> ( numberOfElements)
{}


template <class Element, class Key>
  IKeySortedSet< Element, Key>::~IKeySortedSet( )
{}


#ifdef IC_USE_STL_VPTR
  template <class Element, class Key>
    IVPtrKeySortedSet< Element, Key>::IVPtrKeySortedSet( unsigned long numberOfElements)
       : ITImpKeySortedSet<Element, Key, void*> ( numberOfElements)
  {}


  template <class Element, class Key>
    IVPtrKeySortedSet< Element, Key>::~IVPtrKeySortedSet( )
  {}
#endif

#endif // _IKSSET2_C_
