// Revision: 93 1.4.1.4 source/ui/basectl/ilistbnh.hpp, listctls, ioc.v400, trackPseudoLevel 
#ifndef _ILISTBNH_
  #define _ILISTBNH_
/*******************************************************************************
* FILE NAME: ilistbnh.hpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the classes:                                                *
*     IListBoxNotifyHandler                                                    *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   Licensed Material - Property of IBM                                        *
*   (C) Copyright IBM Corp. 1992, 1997  All Rights Reserved.                   *
*                                                                              *
*******************************************************************************/
#include <ievent.hpp>
#include <iwinnhdr.hpp>

#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma enum(4)
#pragma pack(push,4)

class IListBoxNotifyHandler : public IWindowNotifyHandler
{
typedef IWindowNotifyHandler
  Inherited;
public:
/*----------------------------- Constructors ---------------------------------*/
  IListBoxNotifyHandler();
virtual
  ~IListBoxNotifyHandler();

protected:
/*---------------------------- Event Processing ------------------------------*/
virtual IBool
  dispatchHandlerEvent (IEvent& anEvent);
};

#pragma pack(pop)
#pragma enum(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif

#endif /* _ILISTBNH_ */
