// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 46 1.5.1.3 source/core/collect/ireqseq.h, collection, ioc.v400, 981126 
#ifndef _IREQSEQ_
#define _IREQSEQ_

#include <ilanglvl.hpp>
#include <iaes.h>













#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma pack(push,4)
#pragma enum(4)

template <class Element, class Base>
class IREqualitySequence : public IAEqualitySequence <Element> {
public:

  typedef TYPENAME Base::Cursor Cursor;

           IREqualitySequence
                            (Base&);

  IREqualitySequence <Element, Base>&
           operator=        (IREqualitySequence
                              <Element, Base> const&);

protected:

private:











};

#pragma enum(pop)
#pragma pack(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif





#include <ireqseq.inl>





#endif // _IREQSEQ_
