// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 48 1.5.1.3 source/core/collect/irheap.h, collection, ioc.v400, 981126 
#ifndef _IRHEAP_
#define _IRHEAP_

#include <ilanglvl.hpp>
#include <iahp.h>













#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma pack(push,4)
#pragma enum(4)

template <class Element, class Base>
class IRHeap : public IAHeap <Element> {
public:

  typedef TYPENAME Base::Cursor Cursor;

           IRHeap
                            (Base&);

  IRHeap <Element, Base>&
           operator=        (IRHeap
                              <Element, Base> const&);

protected:

private:











};

#pragma enum(pop)
#pragma pack(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif





#include <irheap.inl>





#endif // _IRHEAP_
