// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 54 1.5.1.3 source/core/collect/irksbag.h, collection, ioc.v400, 981126 
#ifndef _IRKSBAG_
#define _IRKSBAG_

#include <ilanglvl.hpp>
#include <iaksb.h>













#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma pack(push,4)
#pragma enum(4)

template <class Element, class Key, class Base>
class IRKeySortedBag : public IAKeySortedBag <Element, Key> {
public:

  typedef TYPENAME Base::Cursor Cursor;

           IRKeySortedBag
                            (Base&);

  IRKeySortedBag <Element, Key, Base>&
           operator=        (IRKeySortedBag
                              <Element, Key, Base> const&);

protected:

private:











};

#pragma enum(pop)
#pragma pack(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif





#include <irksbag.inl>





#endif // _IRKSBAG_
