// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 58 1.5.1.3 source/core/collect/irmap.h, collection, ioc.v400, 981126 
#ifndef _IRMAP_
#define _IRMAP_

#include <ilanglvl.hpp>
#include <iamap.h>













#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma pack(push,4)
#pragma enum(4)

template <class Element, class Key, class Base>
class IRMap : public IAMap <Element, Key> {
public:

  typedef TYPENAME Base::Cursor Cursor;

           IRMap
                            (Base&);

  IRMap <Element, Key, Base>&
           operator=        (IRMap
                              <Element, Key, Base> const&);

protected:

private:











};

#pragma enum(pop)
#pragma pack(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif





#include <irmap.inl>





#endif // _IRMAP_
