// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 68 1.5.1.3 source/core/collect/irset.h, collection, ioc.v400, 981126 
#ifndef _IRSET_
#define _IRSET_

#include <ilanglvl.hpp>
#include <iaset.h>













#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma pack(push,4)
#pragma enum(4)

template <class Element, class Base>
class IRSet : public IASet <Element> {
public:

  typedef TYPENAME Base::Cursor Cursor;

           IRSet
                            (Base&);

  IRSet <Element, Base>&
           operator=        (IRSet
                              <Element, Base> const&);

protected:

private:











};

#pragma enum(pop)
#pragma pack(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif





#include <irset.inl>





#endif // _IRSET_
