#ifndef _ISET2_C_
#define _ISET2_C_
/*******************************************************************************
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1997       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*                                                                              *
*******************************************************************************/
#include <iset2.h>

template <class Element, class Imp>
  ITImpSet< Element, Imp>::ITImpSet( unsigned long numberOfElements )
     : fNumberOfElements (numberOfElements)
     {}

template <class Element, class Imp>
  ITImpSet< Element, Imp>::~ITImpSet( )
{}

template <class Element>
  ISet< Element>::ISet( unsigned long numberOfElements)
     : ITImpSet<Element, Element> ( numberOfElements)
{}

template <class Element>
  ISet< Element>::~ISet( )
{}


#ifdef IC_USE_STL_VPTR
  template <class Element>
    IVPtrSet< Element>::IVPtrSet( unsigned long numberOfElements)
       : ITImpSet<Element, void*> ( numberOfElements)
  {}

  template <class Element>
    IVPtrSet< Element>::~IVPtrSet( )
  {}
#endif

#endif // _ISET2_C_
