#ifndef _ICLCREAT_
#define _ICLCREAT_

/* Revision: 42 1.3.2.2 source/ui/widgets/iclcreat.h, cuawidgets, ioc.v400, 981126  */
/*******************************************************************************
*                                                                              *
* COPYRIGHT:                                                                   *
*   Licensed Materials - Property of IBM                                       *
*   (C) Copyright IBM Corporation 1997, 1997                                   *
*   All Rights Reserved                                                        *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#ifndef _iclcreat_h
#define _iclcreat_h

/***********************************************************************
 * Canvas Widget Public Header File
 **********************************************************************/

#include <Xm/Xm.h>

#ifdef __cplusplus
extern "C" {
#endif

/********    Public Function Declarations    ********/
#ifdef _NO_PROTO

extern Widget XiclCreateScrolledList() ;
 
extern Widget XiclCreateScrolledText() ;
#else

extern Widget XiclCreateScrolledList( 
                        Widget p,
                        String name,
                        ArgList args,
                        Cardinal n) ;  

extern Widget XiclCreateScrolledText( 
                        Widget p,
                        String name,
                        ArgList args,
                        Cardinal n) ;
#endif /* _NO_PROTO */
/********    End Public Function Declarations    ********/


#ifdef __cplusplus
}  /* Close scope of 'extern "C"' declaration which encloses file. */
#endif

#endif /* _iclcreat_h */
/* DON'T ADD ANYTHING AFTER THIS #endif */
#endif // ICLCREAT header guard
