#ifndef _ICONG_
#define _ICONG_

/* Revision: 23 1.7.1.2 source/ui/widgets/icong.h, cuawidgets, ioc.v400, 981126  */
/*
 * (c) Copyright 1989, 1990, 1991, 1992, 1993 OPEN SOFTWARE FOUNDATION, INC.
 * ALL RIGHTS RESERVED
 */
/*
 * Motif top of 2.0 tree as of Tue Jun  1 05:18:29 EDT 1993
 */
#ifndef _XmIconG_h
#define _XmIconG_h

#include <Xm/Xm.h>

#ifdef __cplusplus
extern "C" {
#endif

/************************************************************************
 * IconGadget defines                                                   *
 ************************************************************************/
typedef struct
{
  int             reason;
  XEvent          *event;
  Widget          aGadget;
  unsigned char   emphasis ;
} XmIconGadgetInuseEmphasisCallbackStruct;

        /* XmRViewType */
enum {  XmLARGE_ICON,
        XmSMALL_ICON
        };
        /* XmRVisualEmphasis */
enum {  XmSELECTED,
        XmNOT_SELECTED
        };
       /* XmRCursorEmphasis */
enum {
        XmCURSORED,
        XmNOT_CURSORED
        };
       /* XmRInUseEmphasis */
enum {
        XmINUSE,
        XmNOT_INUSE
        };
enum{   XmCR_INUSE_CHANGE=110
        };


/* Class record constants */
extern  WidgetClass     xmIconGadgetClass;

typedef struct _XmIconGadgetClassRec * XmIconGadgetClass;
typedef struct _XmIconGadgetRec      * XmIconGadget;

#ifndef XmIsIconGadget
#define XmIsIconGadget(w) XtIsSubclass(w, xmIconGadgetClass)
#endif /* XmIsIconGadget */

#define XmNlargeIcon             "largeIcon"
#define XmNlargeIconMask         "largeIconMask"
#define XmNlargeIconPixmap       "largeIconPixmap"
#define XmNsmallIcon             "smallIcon"
#define XmNsmallIconMask         "smallIconMask"
#define XmNsmallIconPixmap       "smallIconPixmap"
#define XmNviewType              "viewType"
#define XmNvisualEmphasis        "VisualEmphasis"
#define XmNcursorEmphasis        "CursorEmphasis"
#define XmNinUseEmphasis         "InUseEmphasis"
#define XmNinUseEmphasisCallback "InUseEmphasisCallback"
#define XmNrefreshGadget         "refreshGadget"

#define XmCIcon                 "Icon"
#define XmCViewType             "ViewType"
#define XmCVisualEmphasis       "VisualEmphasis"
#define XmCCursorEmphasis       "CursorEmphasis"
#define XmCInUseEmphasis        "InUseEmphasis"
#define XmCRefreshGadget        "RefreshGadget"

#define XmRViewType             "ViewType"
#define XmRVisualEmphasis       "VisualEmphasis"
#define XmRCursorEmphasis       "CursorEmphasis"
#define XmRInUseEmphasis        "InUseEmphasis"

/********    Public Function Declarations    ********/
extern Widget XmCreateIconGadget(
                        Widget parent,
                        String name,
                        ArgList arglist,
                        Cardinal argcount) ;

extern void XuiclIconGadgetLayout(Widget iconG);

extern Boolean XuiclIconGadgetLabelCoords(
                        Widget iconG,
                        Position *x,
                        Position *y) ;

extern XRectangle XuiclIconGadgetRectangle(
                        Widget    gid,
                        unsigned  long extent);

extern Boolean XuiclIsGadgetBeingDestroyed(Widget gid) ;

/********    End Public Function Declarations    ********/

#ifdef __cplusplus
}  /* Close scope of 'extern "C"' declaration which encloses file. */
#endif

#endif /* _XmIconG_h */

/* DON'T ADD ANYTHING AFTER THIS #endif */

#endif // ICONG header guard
