// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 81 1.5.1.4 source/core/collect/iiakss.h, collection, ioc.v400, trackPseudoLevel 
#ifndef _IIAKSS_
#define _IIAKSS_

#include <iiacllct.h>













#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma pack(push,4)
#pragma enum(4)

class IC_EXPORTC IAKeySortedSetImpl : public IACollectionImpl {
public:

          ~IAKeySortedSetImpl
                            ();

  virtual
  long     Compare          (IAKeySortedSetImpl const&,
                             ICompFunc, void*) const;

protected:

           IAKeySortedSetImpl
                            (Ops&);

  INumber  NumberOfDifferentKeys
                            () const;

  INumber  NumberOfElementsWithKey
                            (void const*) const;

  INumber  RemoveAllElementsWithKey
                            (void const*);

  IBool     SetToNextWithDifferentKey
                            (ICursorImpl&) const;

private:











};

#pragma enum(pop)
#pragma pack(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif









#endif // _IIAKSS_
