// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 98 1.6.1.3 source/core/collect/iiksbdil.h, collection, ioc.v400, 981126 
#ifndef _IIKSBDIL_
#define _IIKSBDIL_

#include <iiksbseq.h>
#include <iiseqdil.h>


















#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

typedef IKeySortedBagOnSequenceImpl
         <ISequenceAsDilTableImpl> IKeySortedBagAsDilTableImpl;

#pragma pack(push,4)
#pragma enum(4)

template <class Element, class _Key,
          class ElementOps, class Implementation>
class IC_EXPORTC IKeySortedBagAsDilTableOps :
  public IAKeySortedBagOnSequenceOps <ISequenceAsDilTableImpl> {

  typedef  IKeySortedBagAsDilTableOps
            <Element, _Key, ElementOps, Implementation> Self;

  typedef  ISequenceAsDilTableOps
            <Element, ElementOps, ISequenceAsDilTableImpl> Base;

public:

  typedef  Implementation ImplType;

  typedef  Element ElementType;

  typedef  _Key KeyType;

           IKeySortedBagAsDilTableOps
                           (INumber);

           IKeySortedBagAsDilTableOps
                           (INumber, void*);

           IKeySortedBagAsDilTableOps
                           (IKeySortedBagAsDilTableOps
                             <Element, _Key,
                              ElementOps, Implementation> const&);

          ~IKeySortedBagAsDilTableOps
                           ();

  IACollectionImpl*
           Clone           () const;

  long     CompareKeys     (void const*, void const*, IArgType) const;

  void*    Key             (void const*) const;

           operator ISequenceAsDilTableImpl&
                           ();

           operator Implementation*
                           ();


















protected:

private:

  ElementOps
           ivElementOps;
 
  Base     ivBase;

  Implementation
           ivImpl;












};

#pragma enum(pop)
#pragma pack(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif








#include <iiksbdil.c>






#endif // _IIKSBDIL_
