// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 06 1.5.1.3 source/core/collect/iivmwt.h, collection, ioc.v400, 981126 
#ifndef _IIVMWT_
#define _IIVMWT_

#include <ilanglvl.hpp>
#include <iimwt.h>













#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma pack(push,4)
#pragma enum(4)

template <class VInherited>
class IC_EXPORTC IVMultiwayTreeImpl : public VInherited
{
public:

  typedef TYPENAME VInherited::Ops Ops;

           IVMultiwayTreeImpl
                            (Ops&, INumber);

           IVMultiwayTreeImpl
                            (Ops&, IVMultiwayTreeImpl
                                    <VInherited> const&);

protected:

private:












};

#pragma enum(pop)
#pragma pack(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif








#if ! defined (__TEMPINC__)
#include <iivmwt.c>
#endif






#endif // _IIVMWT_
