#ifndef _IKSHSH2_C_
#define _IKSHSH2_C_
/*******************************************************************************
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1997       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*                                                                              *
*******************************************************************************/
#include <ikshsh2.h>

template <class Element, class Key, class Imp>
  ITImpKeySetAsHshTable< Element, Key, Imp>::ITImpKeySetAsHshTable(unsigned long numberOfElements )
     : fNumberOfElements(numberOfElements)
{}

template <class Element, class Key, class Imp>
  ITImpKeySetAsHshTable< Element, Key, Imp>::~ITImpKeySetAsHshTable( )
{}


template <class Element, class Key>
  IKeySetAsHshTable< Element, Key>::IKeySetAsHshTable(unsigned long numberOfElements )
      : ITImpKeySetAsHshTable<Element, Key, Element>(numberOfElements)
{}

template <class Element, class Key>
  IKeySetAsHshTable< Element, Key>::~IKeySetAsHshTable( )
{}


#ifdef IC_USE_STL_VPTR
  template <class Element, class Key>
    IVPtrKeySetAsHshTable< Element, Key>::IVPtrKeySetAsHshTable(unsigned long numberOfElements )
        : ITImpKeySetAsHshTable<Element, Key, void*>(numberOfElements)
  {}

  template <class Element, class Key>
    IVPtrKeySetAsHshTable< Element, Key>::~IVPtrKeySetAsHshTable( )
  {}
#endif

#endif // _IKSHSH2_C_
