// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 97 1.4.1.3 source/core/collect/imcllct.h, collection, ioc.v400, 981126 
#ifndef _IMCLLCT_
#define _IMCLLCT_

#include <iiacllct.h>

















#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma pack(push,4)
#pragma enum(4)

class IC_EXPORTC IMetaCollection
{
public:

protected:

  IACollectionImpl*
           ivImpl;

           IMetaCollection  ();

           IMetaCollection  (IMetaCollection const&);

  virtual  ~IMetaCollection  ();

  static
  void*    CheckPointer     (void*);

  void     CloneImplOf      (IMetaCollection const&);

  static
  IACollectionImpl&
           ImplOf           (IMetaCollection const&);

  void     SetImpl          (IACollectionImpl*);












};

#pragma enum(pop)
#pragma pack(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif





#include <imcllct.inl>





#endif // _IMCLLCT_
