// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 98 1.2.1.2 source/core/collect/imcllct.inl, collection, ioc.v400, 981126 
#ifndef _IMCLLCT_INL_
#define _IMCLLCT_INL_

// ---------------
// IMetaCollection
// ---------------

// protected members

inline
IMetaCollection::
IMetaCollection ()
: ivImpl (0)
{
}

inline
IMetaCollection::
IMetaCollection (IMetaCollection const&)
: ivImpl (0)
{
}

inline void*
IMetaCollection::
CheckPointer (void* p)
{ return IACollectionImpl::CheckPointer (p);
}

inline IACollectionImpl&
IMetaCollection::
ImplOf (IMetaCollection const& collection)
{ return *(IACollectionImpl*)collection.ivImpl;
}

#endif // _IMCLLCT_INL_
