// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 00 1.4.1.3 source/core/collect/imtree.h, collection, ioc.v400, 981126 
#ifndef _IMTREE_
#define _IMTREE_

#include <iiatree.h>

















#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma pack(push,4)
#pragma enum(4)

class IC_EXPORTC IMetaTree
{
public:

protected:

  IATreeImpl*
           ivImpl;

           IMetaTree        ();

           IMetaTree        (IMetaTree const&);

  virtual  ~IMetaTree        ();

  static
  void*    CheckPointer     (void*);

  void     CloneImplOf      (IMetaTree const&);

  IATreeImpl const&
           GetImpl          () const;

  void     SetImpl          (IATreeImpl*);












};

#pragma enum(pop)
#pragma pack(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif





#include <imtree.inl>





#endif // _IMTREE_
