// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 61 1.3.1.2 source/core/collect/irprioqu.inl, collection, ioc.v400, 981126  
#ifndef _IRPRIOQU_INL_
#define _IRPRIOQU_INL_

// ---
// IRPriorityQueue
// ---

// public members

template <class Element, class Key, class Base>
inline
IRPriorityQueue <Element, Key, Base>::
IRPriorityQueue (Base& base)
{ SetImpl (&IACollection <Element>::ImplOf (base));
}

template <class Element, class Key, class Base>
inline IRPriorityQueue <Element, Key, Base>&
IRPriorityQueue <Element, Key, Base>::
operator= (IRPriorityQueue
            <Element, Key, Base> const& collection)
{ IACollectionBase::ImplOf (*this).
    Copy (IACollectionBase::ImplOf (collection));
  return *this;
}

#endif // _IRPRIOQU_INL_
