// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 63 1.3.1.2 source/core/collect/irqueue.inl, collection, ioc.v400, 981126  
#ifndef _IRQUEUE_INL_
#define _IRQUEUE_INL_

// ---
// IRQueue
// ---

// public members

template <class Element, class Base>
inline
IRQueue <Element, Base>::
IRQueue (Base& base)
{ SetImpl (&IACollection <Element>::ImplOf (base));
}

template <class Element, class Base>
inline IRQueue <Element, Base>&
IRQueue <Element, Base>::
operator= (IRQueue
            <Element, Base> const& collection)
{ IACollectionBase::ImplOf (*this).
    Copy (IACollectionBase::ImplOf (collection));
  return *this;
}

#endif // _IRQUEUE_INL_
