// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 64 1.5.1.3 source/core/collect/irrel.h, collection, ioc.v400, 981126 
#ifndef _IRREL_
#define _IRREL_

#include <ilanglvl.hpp>
#include <iarel.h>













#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma pack(push,4)
#pragma enum(4)

template <class Element, class Key, class Base>
class IRRelation : public IARelation <Element, Key> {
public:

  typedef TYPENAME Base::Cursor Cursor;

           IRRelation
                            (Base&);

  IRRelation <Element, Key, Base>&
           operator=        (IRRelation
                              <Element, Key, Base> const&);

protected:

private:











};

#pragma enum(pop)
#pragma pack(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif





#include <irrel.inl>





#endif // _IRREL_
