// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 70 1.5.1.3 source/core/collect/irsrtbag.h, collection, ioc.v400, 981126 
#ifndef _IRSRTBAG_
#define _IRSRTBAG_

#include <ilanglvl.hpp>
#include <iasb.h>













#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma pack(push,4)
#pragma enum(4)

template <class Element, class Base>
class IRSortedBag : public IASortedBag <Element> {
public:

  typedef TYPENAME Base::Cursor Cursor;

           IRSortedBag
                            (Base&);

  IRSortedBag <Element, Base>&
           operator=        (IRSortedBag
                              <Element, Base> const&);

protected:

private:











};

#pragma enum(pop)
#pragma pack(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif





#include <irsrtbag.inl>





#endif // _IRSRTBAG_
