// Revision: 12 1.4.1.4 source/ui/baseapp/iwinnhdr.hpp, basewin, ioc.v400, trackPseudoLevel  
#ifndef _IWINNHDR_
#define _IWINNHDR_
/*******************************************************************************
* FILE NAME: iwinnhdr.hpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the class:                                                  *
*     IWindowNotifyHandler                                                     *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1997       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*                                                                              *
*******************************************************************************/
#include <ihandler.hpp>

#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma enum(4)
#pragma pack(push,4)

class IWindowNotifyHandler : public IHandler {
typedef IHandler
  Inherited;
public:
/*------------------------------- Constructors -------------------------------*/
  IWindowNotifyHandler ( );
virtual
 ~IWindowNotifyHandler ( );

protected:
/*---------------------------- Event Dispatching -----------------------------*/
virtual IBool
  dispatchHandlerEvent ( IEvent& event );
friend class IWindow;
}; // IWindowNotifyHandler

#pragma pack(pop)
#pragma enum(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif

#endif /* _IWINNHDR_ */
